Package org.gradle.api.plugins

# Interface JavaPlatformExtension

public interface JavaPlatformExtension
The extension to configure a Java platform project.

Since:
  5.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `allowDependencies()`
  Allow dependencies to be declared.

- ## Method Details

  - ### allowDependencies

    void allowDependencies()
    Allow dependencies to be declared. By default, a platform will not allow dependencies, only constraints.